%define gtk_ver_major 2.2
%define gtk_binary_ver %gtk_ver_major.0

%def_without static

Name: swfdec
Version: 0.2.2
Release: alt2

Summary: Flash animations redering library
Group: System/Libraries
License: LGPL
Url: http://swfdec.sourceforge.net
Source: http://swfdec.sourceforge.net/download/%name-%version.tar.gz

Patch: %name-0.2.2-cvs-mozilla_1.4.patch

# Automatically added by buildreq on Thu Oct 02 2003
BuildRequires: XFree86-devel XFree86-libs esound-devel fontconfig freetype2 gcc-c++ glib2-devel glibc-devel-static libSDL-devel libalsa-devel libart_lgpl-devel libatk-devel libaudiofile-devel libexpat libgtk+2-devel libmad-devel libpango-devel mozilla-devel pkgconfig zlib-devel

%description
Libswfdec is a decoder/renderer library for Macromedia Flash animations.
Currently it handles mostFlash 3 animations and some Flash 4. No
interactivity is supported yet.

%package -n swfplay
Summary: Simple flash player
Group: Video
Requires: lib%name = %version-%release

%description -n swfplay
Simple player based on swfdec library.

%package -n lib%name
Summary: swfdec shared library
Group: System/Libraries

%description -n lib%name
Libswfdec is a decoder/renderer library for Macromedia Flash animations.
Currently it handles mostFlash 3 animations and some Flash 4. No
interactivity is supported yet.

%package -n lib%name-devel
Summary: swfdec development files and libraries
Group: Development/C
Requires: lib%name = %version-%release

%description -n lib%name-devel
This package contains the files needed to build packages that depend on
swfdec.

%package -n lib%name-devel-static
Summary: swfdec static libraries
Group: Development/C
Requires: lib%name-devel = %version-%release

%description -n lib%name-devel-static
This package contains the libraries needed to build applications
statically linked with swfdec.

%package -n %name-gdk-pixbuf-loaders
Summary: GdkPixbuf loader module for SWF files. 
Group: System/Libraries
PreReq: libgtk+2
Requires: lib%name = %version-%release

%description -n %name-gdk-pixbuf-loaders
This package provides GdkPixbuf loader module for SWF files. 

%package mozilla
Summary: Mozilla plugin for Flash rendering
Group: Networking/WWW
Requires: mozilla

%description mozilla
Mozilla plugin for rendering of Flash animations based on swfdec library.

%prep
%setup -q
%patch -p1

%build
%configure --enable-shared
%make_build

%install
%makeinstall

# remove non-packaged files
%__rm -f %buildroot%_libdir/*.la
%__rm -f %buildroot%_libdir/mozilla/plugins/libmozswfdec.la
%__rm -f %buildroot%_libdir/gtk-2.0/%gtk_binary_ver/*/*a

%if_without static
%__rm -f %buildroot%_libdir/*.a
%__rm -f %buildroot%_libdir/mozilla/plugins/libmozswfdec.a
%endif

%post -n lib%name -p %post_ldconfig
%postun -n lib%name -p %postun_ldconfig

%post -n %name-gdk-pixbuf-loaders
%_bindir/gdk-pixbuf-query-loaders > %_sysconfdir/gtk-2.0/gdk-pixbuf.loaders

%files -n swfplay
%_bindir/swf_play

%files -n lib%name
%_libdir/*.so.*
%doc AUTHORS README TODO

%files -n lib%name-devel
%_includedir/*
%_libdir/*.so
%_libdir/pkgconfig/*

%if_with static
%files -n lib%name-devel-static
%_libdir/libswfdec.a
%_libdir/mozilla/plugins/libmozswfdec.a
%endif

%files -n %name-gdk-pixbuf-loaders
%_libdir/gtk-2.0/%gtk_binary_ver/*/*.so

%files mozilla
%_libdir/mozilla/plugins/libmozswfdec.so

%changelog
* Thu Dec 04 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt2
- do not package .la files.
- do not build libswfdec-devel-static subpackage by default.

* Sat Aug 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.2-alt1
- new version. 

* Thu Jan 23 2003 Yuri N. Sedunov <aris@altlinux.ru> 0.2.0-alt1
- new version. 

* Mon Nov 18 2002 Yuri N. Sedunov <aris@altlinux.ru> 0.1.2-alt1
- First build for Sisyphus.
